Bug 220249 - deskutils/calibre: Calibre.in is out of date
Summary: deskutils/calibre: Calibre.in is out of date
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-24 10:52 UTC by Jacob
Modified: 2017-06-26 05:16 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jacob 2017-06-24 10:52:17 UTC
The CLI interface for calibre-server has changed and now the rc.d script is out of date. It looks like the --with-library option no longer exists and the last argument to calibre-server should just be the calibre library location (i.e. ${calibre_library}).

However I also see other calibre.in options that no longer match so I think some time needs to be spent reviewing the new CLI options.
Comment 1 Guido Falsi freebsd_committer 2017-06-24 11:03:50 UTC
Hi,

Thanks for reporting the issue.

Sorry, this detail slipped me in the last updates.

I'll be fixing it ASAP.
Comment 2 commit-hook freebsd_committer 2017-06-25 19:49:32 UTC
A commit references this bug:

Author: madpilot
Date: Sun Jun 25 19:48:35 UTC 2017
New revision: 444321
URL: https://svnweb.freebsd.org/changeset/ports/444321

Log:
  - Fix calibre rc script, which broke after the 3.0 update
  - Add note to pkg-message on how to customize it

  PR:		220249
  Subitted by:	jacob.block@gmail.com

Changes:
  head/deskutils/calibre/Makefile
  head/deskutils/calibre/files/calibre.in
  head/deskutils/calibre/pkg-message
Comment 3 Guido Falsi freebsd_committer 2017-06-25 19:49:54 UTC
Fix committed.

Thanks!
Comment 4 Jacob 2017-06-26 05:16:22 UTC
Looks great, thanks!